"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const InvokeEndpoint_1 = require("../model/operations/InvokeEndpoint");
class InvokeEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = InvokeEndpoint_1.InvokeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.InvokeEndpointCommand = InvokeEndpointCommand;
//# sourceMappingURL=InvokeEndpointCommand.js.map