"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InvokeEndpointInput_1 = require("../shapes/InvokeEndpointInput");
const InvokeEndpointOutput_1 = require("../shapes/InvokeEndpointOutput");
const InternalFailure_1 = require("../shapes/InternalFailure");
const ServiceUnavailable_1 = require("../shapes/ServiceUnavailable");
const ValidationError_1 = require("../shapes/ValidationError");
const ModelError_1 = require("../shapes/ModelError");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.InvokeEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "InvokeEndpoint",
    http: {
        method: "POST",
        requestUri: "/endpoints/{EndpointName}/invocations"
    },
    input: {
        shape: InvokeEndpointInput_1.InvokeEndpointInput
    },
    output: {
        shape: InvokeEndpointOutput_1.InvokeEndpointOutput
    },
    errors: [
        {
            shape: InternalFailure_1.InternalFailure
        },
        {
            shape: ServiceUnavailable_1.ServiceUnavailable
        },
        {
            shape: ValidationError_1.ValidationError
        },
        {
            shape: ModelError_1.ModelError
        }
    ]
};
//# sourceMappingURL=InvokeEndpoint.js.map